View Issue Details

IDProjectCategoryView StatusLast Update
0000580SymmetricDSImprovementpublic2014-02-02 20:53
ReporterAssigned Tochenson 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.5 
Target Version3.4.0Fixed in Version3.4.0 
Summary0000580: MySQL trigger throwing error on special characters
DescriptionInvestigate whether the character set should be specified for mysql trigger variables See https://sourceforge.net/projects/symmetricds/forums/forum/739236/topic/4989336 It seems like in order to support unicode characters you need to add this to the JDBC URL: ?useUnicode=true&characterEncoding=utf8&characterSetResults=utf8 And declare your table's columns using: VARCHAR(XXX) CHARACTER SET utf8 And alter trigger variable to use `CHARACTER SET urf8` variables
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3e948ec3

2013-03-12 19:32:33

chenson

Details Diff
0000580: MySQL trigger throwing error on special characters
0000580
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File

SymmetricDS: master f5586b73

2013-03-12 19:36:02

chenson

Details Diff
0000580: MySQL trigger throwing error on special characters
0000580
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2012-06-18 14:11 admin Target Version 3.1.0 =>
2013-03-12 19:32 chenson Product Version => 3.3.5
2013-03-12 19:32 chenson Fixed in Version 3.1.0 => 3.4.0
2013-03-12 19:32 chenson Target Version => 3.4.0
2013-03-12 19:32 chenson Status new => resolved
2013-03-12 19:32 chenson Resolution open => fixed
2013-03-12 19:32 chenson Assigned To => chenson
2013-04-21 12:22 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6946
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6947
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f5586b73
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3e948ec3